Package org.eclipse.birt.chart.model.type.impl

# Class BubbleSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.LineSeriesImpl
org.eclipse.birt.chart.model.type.impl.ScatterSeriesImpl
org.eclipse.birt.chart.model.type.impl.BubbleSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `BubbleSeries`, `LineSeries`, `ScatterSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class BubbleSeriesImpl extends ScatterSeriesImpl implements BubbleSeries
An implementation of the model object 'Bubble Series'.

The following features are implemented:

- `Acc Line Attributes`
- `Acc Orientation`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetAccLineAttributes(LineAttributes newAccLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`BubbleSeries`
`copyInstance()`
`static final Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`LineAttributes`
`getAccLineAttributes()`
`Orientation`
`getAccOrientation()`
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`boolean`
`isSetAccOrientation()`
`boolean`
`isSingleCache()`
The method indicates if painting requests of series should be added to a single cache.
`void`
`setAccLineAttributes(LineAttributes newAccLineAttributes)`
`void`
`setAccOrientation(Orientation newAccOrientation)`
`String`
`toString()`
`void`
`unsetAccOrientation()`

### Methods inherited from class org.eclipse.birt.chart.model.type.impl.ScatterSeriesImpl

`canBeStacked, canParticipateInCombination`

### Methods inherited from class org.eclipse.birt.chart.model.type.impl.LineSeriesImpl

`basicSetLineAttributes, basicSetMarker, basicSetShadowColor, canShareAxisUnit, getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, translateFrom, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getAccLineAttributes

public LineAttributes getAccLineAttributes()

Specified by:
  `getAccLineAttributes` in interface `BubbleSeries`
Returns:
  the value of the 'Acc Line Attributes' containment reference.
See Also:
  - `BubbleSeries.setAccLineAttributes(LineAttributes)`
  - `TypePackage.getBubbleSeries_AccLineAttributes()`

### basicSetAccLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetAccLineAttributes(LineAttributes newAccLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setAccLineAttributes

public void setAccLineAttributes(LineAttributes newAccLineAttributes)

Specified by:
  `setAccLineAttributes` in interface `BubbleSeries`
Parameters:
  `newAccLineAttributes` - the new value of the 'Acc Line Attributes' containment reference.
See Also:
  - `BubbleSeries.getAccLineAttributes()`

### getAccOrientation

public Orientation getAccOrientation()

Specified by:
  `getAccOrientation` in interface `BubbleSeries`
Returns:
  the value of the 'Acc Orientation' attribute.
See Also:
  - `Orientation`
  - `BubbleSeries.isSetAccOrientation()`
  - `BubbleSeries.unsetAccOrientation()`
  - `BubbleSeries.setAccOrientation(Orientation)`
  - `TypePackage.getBubbleSeries_AccOrientation()`

### setAccOrientation

public void setAccOrientation(Orientation newAccOrientation)

Specified by:
  `setAccOrientation` in interface `BubbleSeries`
Parameters:
  `newAccOrientation` - the new value of the 'Acc Orientation' attribute.
See Also:
  - `Orientation`
  - `BubbleSeries.isSetAccOrientation()`
  - `BubbleSeries.unsetAccOrientation()`
  - `BubbleSeries.getAccOrientation()`

### unsetAccOrientation

public void unsetAccOrientation()

Specified by:
  `unsetAccOrientation` in interface `BubbleSeries`
See Also:
  - `BubbleSeries.isSetAccOrientation()`
  - `BubbleSeries.getAccOrientation()`
  - `BubbleSeries.setAccOrientation(Orientation)`

### isSetAccOrientation

public boolean isSetAccOrientation()

Specified by:
  `isSetAccOrientation` in interface `BubbleSeries`
Returns:
  whether the value of the 'Acc Orientation' attribute is set.
See Also:
  - `BubbleSeries.unsetAccOrientation()`
  - `BubbleSeries.getAccOrientation()`
  - `BubbleSeries.setAccOrientation(Orientation)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `LineSeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `LineSeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `LineSeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `LineSeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `LineSeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `LineSeriesImpl`

### create

public static final Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### createDefault

public static final Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  series instance

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `ScatterSeriesImpl`
Returns:
  display name for the series type

### isSingleCache

public boolean isSingleCache()
Description copied from interface: `Series`
The method indicates if painting requests of series should be added to a single cache.

Specified by:
  `isSingleCache` in interface `Series`
Overrides:
  `isSingleCache` in class `SeriesImpl`
Returns:
  `true` if painting requests of series should be added to a single cache. False means creating a new Cache for each series.

### copyInstance

public BubbleSeries copyInstance()

Specified by:
  `copyInstance` in interface `BubbleSeries`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `ScatterSeries`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `ScatterSeriesImpl`

### getLabelPositionScope

public org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Description copied from interface: `Series`
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Specified by:
  `getLabelPositionScope` in interface `Series`
Overrides:
  `getLabelPositionScope` in class `SeriesImpl`
Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.

### getDefinedDataDefinitionIndex

public int[] getDefinedDataDefinitionIndex()
Description copied from interface: `Series`
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Specified by:
  `getDefinedDataDefinitionIndex` in interface `Series`
Overrides:
  `getDefinedDataDefinitionIndex` in class `SeriesImpl`
Returns:
  index array